%define upstream_name puppetlabs-mongodb
# DO NOT REMOVE ALPHATAG


Name:           puppet-mongodb
Version:        0.16.0
Release:        3%{?dist}
Summary:        Installs MongoDB on RHEL/Ubuntu/Debian.
License:        Apache-2.0

URL:            https://github.com/puppetlabs/puppetlabs-mongodb

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{version}.tar.gz#/%{upstream_name}-%{version}.tar.gz

Patch0001: 0001-RHOS-use-internal-gerrit-DROP-IN-RPM.patch
Patch0002: 0002-Add-a-retry-block-when-hosts-are-added-to-replset.patch
Patch0003: 0003-Allows-deprecation-errors.patch
Patch0004: 0004-Fix-sync.patch
Patch0005: 0005-MODULES-3704-Update-gemfile-template-to-be-identical.patch

BuildArch:      noarch

#Requires:       puppet-apt
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Installs MongoDB on RHEL/Ubuntu/Debian.

%prep
%setup -q -n %{upstream_name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/mongodb/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/mongodb/



%files
%{_datadir}/openstack-puppet/modules/mongodb/


%changelog
* Mon Jan 15 2018 shrjoshi <shrjoshi@redhat.com> 0.16.0-3
- (MODULES-3704) Update gemfile template to be identical
- Fix sync
- Allows deprecation errors
- RHOS:  use internal gerrit - DROP-IN-RPM

* Tue Jan 09 2018 Pradeep Kilambi <pkilambi@redhat.com> 0.16.0-2
- Add a retry block when hosts are added to replset (rhbz#1528263)

* Thu Nov 03 2016 Jon Schlueter <jschluet@redhat.com> 0.16.0-1
- Update to 0.16.0 (5091b520053b33aca7e209f2ce5f6eab10cb130d)

* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 0.15.0-1
- Update to 0.15.0 (13af1c585a46b1450383a1b6a7fff99d077d0a01)

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> - 0.14.0-1.1cfb235.git
- Newton update 0.14.0 (1cfb235894795f216ce3ae3fc02eb52d112e9197)


